Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.spi.util
Class ECPStaticApplicableTester

    java.lang.Object
      org.eclipse.emf.ecp.edit.spi.util.ECPStaticApplicableTester

All Implemented Interfaces:
  ECPApplicableTester

Deprecated.

    @Deprecated
    public final class ECPStaticApplicableTester

extends Object
implements ECPApplicableTester

The implementation of the `ECPApplicableTester` for a static test, like defined in the staticTest element.

Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.edit.spi.util.ECPApplicableTester
`NOT_APPLICABLE`

Constructor Summary
`ECPStaticApplicableTester(boolean singleValue, int priority, Class<?> supportedClassType, Class<? extends org.eclipse.emf.ecore.EObject> supportedEObject, String supportedFeature)` Deprecated. The constructor of the static tester.

Method Summary
`int` | `getPriority()` Deprecated. The static priority of the corresponding control.
`Class<?>` | `getSupportedClassType()` Deprecated. The class of the type the corresponding control supports.
`Class<? extends org.eclipse.emf.ecore.EObject>` | `getSupportedEObject()` Deprecated. The eobejct which is supported by the corresponding control.
`String` | `getSupportedFeature()` Deprecated. The name of the feature the corresponding control supports.
`int` | `isApplicable(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EStructuralFeature feature)` Deprecated.
`int` | `isApplicable(org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor, org.eclipse.emf.ecore.EObject eObject)` Deprecated.
`int` | `isApplicable(VDomainModelReference domainModelReference)` Deprecated.
`boolean` | `isSingleValue()` Deprecated. Whether the corresponding control is allowed only for single values.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPStaticApplicableTester

    public ECPStaticApplicableTester(boolean singleValue,
                                     int priority,
                                     Class<?> supportedClassType,
                                     Class<? extends org.eclipse.emf.ecore.EObject> supportedEObject,
                                     String supportedFeature)

  Deprecated.
  The constructor of the static tester.

  Parameters:
    `singleValue` - whether the corresponding control supports only single valued features
    `priority` - the static priority
    `supportedClassType` - the class of the supported type
    `supportedEObject` - the eobject this tester allows
    `supportedFeature` - the feature this tester allows

Method Detail

### isApplicable

    @Deprecated
    public int isApplicable(org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor,
                                       org.eclipse.emf.ecore.EObject eObject)

  Deprecated.

  Returns the priority of the corresponding control for the combination of the `EObject` and the `IItemPropertyDescriptor`.

  Specified by:
    `isApplicable` in interface `ECPApplicableTester`
  Parameters:
    `itemPropertyDescriptor` - the `IItemPropertyDescriptor` to test
    `eObject` - the `EObject` to test
  Returns:
    `ECPApplicableTester.NOT_APPLICABLE` if the corresponding control should not be used, a positivie integer value otherwise. The control with the highest priority will be taken.

### isApplicable

    @Deprecated
    public int isApplicable(VDomainModelReference domainModelReference)

  Deprecated.

  Returns the priority of the corresponding control for the provided `VDomainModelReference`.

  Specified by:
    `isApplicable` in interface `ECPApplicableTester`
  Parameters:
    `domainModelReference` - the `VDomainModelReference` to test
  Returns:
    `ECPApplicableTester.NOT_APPLICABLE` if the corresponding control should not be used, a positivie integer value otherwise. The control with the highest priority will be taken.
  Since:
    1.2
  See Also:
    `ECPApplicableTester.isApplicable(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)`

### isApplicable

    @Deprecated
    public int isApplicable(org.eclipse.emf.ecore.EObject eObject,
                                       org.eclipse.emf.ecore.EStructuralFeature feature)

  Deprecated.

  Returns the priority of the corresponding control for the combination of the `EObject` and the `EStructuralFeature`.

  Specified by:
    `isApplicable` in interface `ECPApplicableTester`
  Parameters:
    `eObject` - the `EObject` to test
    `feature` - the `EStructuralFeature` to test
  Returns:
    `ECPApplicableTester.NOT_APPLICABLE` if the corresponding control should not be used, a positivie integer value otherwise. The control with the highest priority will be taken.
  Since:
    1.2
  See Also:
    `ECPApplicableTester.isApplicable(org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature)`

### isSingleValue

    public boolean isSingleValue()

  Deprecated.
  Whether the corresponding control is allowed only for single values.

  Returns:
    true if only a single value is allows

### getPriority

    public int getPriority()

  Deprecated.
  The static priority of the corresponding control.

  Returns:
    the priority

### getSupportedEObject

    public Class<? extends org.eclipse.emf.ecore.EObject> getSupportedEObject()

  Deprecated.
  The eobejct which is supported by the corresponding control.

  Returns:
    the class of the supported eobejct

### getSupportedFeature

    public String getSupportedFeature()

  Deprecated.
  The name of the feature the corresponding control supports.

  Returns:
    the name of the supported feature

### getSupportedClassType

    public Class<?> getSupportedClassType()

  Deprecated.
  The class of the type the corresponding control supports.

  Returns:
    the class of the supported type

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.